
Redmine - Defect #11979

No validation errors when entering an invalid "Parent task"

2012-09-28 06:25 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed Affected version: 2.1.0

Description

Validation errors should be displayed if the "Parent task" value is non-numeric value.

Related issues:

Related to Redmine - Defect #12092: Issue "start date" validation does not wo... Closed

Associated revisions

Revision 10615 - 2012-10-12 15:40 - Jean-Philippe Lang

Fixed: No validation errors when entering an invalid "Parent task" (#11979).

Revision 10617 - 2012-10-12 16:32 - Toshi MARUYAMA

add test of parent issue id beginning sharp to unit issue test (#11979)

Revision 10618 - 2012-10-12 16:32 - Toshi MARUYAMA

set language en at test_create_with_invalid_parent_issue_id of unit issue test (#11979)

Revision 10658 - 2012-10-14 16:35 - Jean-Philippe Lang

Fixed that entering #nnn as parent task should validate (#11979).

History

#1 - 2012-10-12 11:34 - Jean-Philippe Lang

- Subject changed from No validation errors are displayed when update an issue with wrong "Parent task" value to No validation errors when entering

a non numeric "Parent task"

- Status changed from New to Confirmed

#2 - 2012-10-12 11:39 - Jean-Philippe Lang

- Subject changed from No validation errors when entering a non numeric "Parent task" to No validation errors when entering an invalid "Parent task"

#3 - 2012-10-12 15:40 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.0

- Resolution set to Fixed

Fixed in r10615.

#4 - 2012-10-14 14:54 - Toshi MARUYAMA

- Status changed from Closed to Reopened

- Resolution deleted (Fixed)

Sharp issue id number (e.g. #11979) validation does not work.

This functional test fails.

  def test_post_create_subissue_with_sharp_parent_id_validate

    @request.session[:user_id] = 2
    assert_difference 'Issue.count' do

      post :create, :project_id => 1,

                 :issue => {:tracker_id => 1,

                            :subject => 'This is a child issue',

                            :parent_issue_id => '#1'}

      assert_response 302

    end

  end

#5 - 2012-10-14 16:36 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution set to Fixed

Fixed in r10658.
